version: '3.8'

services:
  mongodb:
    container_name: 'mongodb'
    build:
      dockerfile: 'app/db/mongo/dockerfile'
    ports:
      - 192.168.42.87:22000:27017
    volumes:
      - mongodata:/data/db

  mysql:
    container_name: 'mysqldb'
    build:
      dockerfile: 'app/db/mysql/dockerfile'
    ports:
      - 192.168.42.87:22001:33060/tcp
      - 192.168.42.87:22002:3306/tcp
    volumes:
      - mysqldata:/var/lib/mysql

  stock:
    container_name: 'stockApi'
    depends_on:
    - mongodb
    build:
      dockerfile: 'app/api/stock/dockerfile'
    ports:
      - 127.0.1.1:22000:80/tcp

  client:
    container_name: 'clientApi'
    depends_on:
    - mysql
    build:
      dockerfile: 'app/api/client/dockerfile'
    ports:
      - 127.0.1.1:22001:80/tcp

volumes:
  mongodata:
  mysqldata:
